DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
IODMultiFrameFGModule::ConcatenationInfo Class Reference

Helper class encapsulating concatenation information, including Concatenation Frame Offset Number, Concatenation UID, SOP Instance UID of Concatenation Source, In-concatenation Number, In-concatenation Total Number. More...

Inheritance diagram for IODMultiFrameFGModule::ConcatenationInfo:

## Public Member Functions
| ConcatenationInfo (OFshared_ptr< DcmItem > data, OFshared_ptr< IODRules > rules)
| Constructor. More...
| ConcatenationInfo (IODComponent *parent=NULL)
| Constructor. More...
virtual | ~ConcatenationInfo ()
| Virtual destructor.
virtual void | resetRules ()
| Resets attribute rules to their default values.
virtual OFString | getName () const
| Get name of this component ("ConcatenationInfo") More...
OFCondition | getConcatenationFrameOffsetNumber (Uint32 &value, const unsigned int pos=0)
| Get Concatenation Frame Offset Number. More...
OFCondition | getConcatenationUID (OFString &value, const signed long pos=-1)
| Get Concatenation UID. More...
OFCondition | getSOPInstanceUIDOfConcatenationSource (OFString &value, const signed long pos=-1)
| Get SOP Instance UID of Concatenation Source. More...
OFCondition | getInConcatenationNumber (Uint16 &value, const unsigned int pos=0)
| Get Concatenation Number. More...
OFCondition | getInConcatenationTotalNumber (Uint16 &value, const unsigned int pos=0)
| Get Concatenation Total Number. More...
virtual OFCondition | setConcatenationFrameOffsetNumber (const Uint32 value)
| Set Concatenation Frame Offset Number. More...
virtual OFCondition | setConcatenationUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Concatenation UID. More...
virtual OFCondition | setSOPInstanceUIDOfConcatenationSource (const OFString &value, const OFBool checkValue=OFTrue)
| Set SOP Instance UID of Concatenation Source. More...
virtual OFCondition | setInConcatenationNumber (const Uint16 value)
| Set In-concatenation Number. More...
virtual OFCondition | setInConcatenationTotalNumber (const Uint16 value)
| Set In-concatenation Total Number. More...
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Helper class encapsulating concatenation information, including Concatenation Frame Offset Number, Concatenation UID, SOP Instance UID of Concatenation Source, In-concatenation Number, In-concatenation Total Number.

## Constructor & Destructor Documentation

## ◆ ConcatenationInfo() [1/2]

IODMultiFrameFGModule::ConcatenationInfo::ConcatenationInfo | ( | OFshared_ptr< DcmItem > | data,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  data | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set where this classes rules are added to. If NULL, the class creates an empty rule set.

## ◆ ConcatenationInfo() [2/2]

IODMultiFrameFGModule::ConcatenationInfo::ConcatenationInfo | ( | IODComponent * | parent = `NULL` | ) |

Constructor.

Parameters

  parent | The parent component of this class (if applicable, might be NULL)

## Member Function Documentation

## ◆ getConcatenationFrameOffsetNumber()

OFCondition IODMultiFrameFGModule::ConcatenationInfo::getConcatenationFrameOffsetNumber | ( | Uint32 & | value,
|  | const unsigned int | pos = `0`
| ) |  |

Get Concatenation Frame Offset Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getConcatenationUID()

OFCondition IODMultiFrameFGModule::ConcatenationInfo::getConcatenationUID | ( | OFString & | value,
|  | const signed long | pos = `-1`
| ) |  |

Get Concatenation UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getInConcatenationNumber()

OFCondition IODMultiFrameFGModule::ConcatenationInfo::getInConcatenationNumber | ( | Uint16 & | value,
|  | const unsigned int | pos = `0`
| ) |  |

Get Concatenation Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getInConcatenationTotalNumber()

OFCondition IODMultiFrameFGModule::ConcatenationInfo::getInConcatenationTotalNumber | ( | Uint16 & | value,
|  | const unsigned int | pos = `0`
| ) |  |

Get Concatenation Total Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODMultiFrameFGModule::ConcatenationInfo::getName | ( |  | ) | const
| virtual

Get name of this component ("ConcatenationInfo")

Returns
  Name of this component

Implements IODComponent.

## ◆ getSOPInstanceUIDOfConcatenationSource()

OFCondition IODMultiFrameFGModule::ConcatenationInfo::getSOPInstanceUIDOfConcatenationSource | ( | OFString & | value,
|  | const signed long | pos = `-1`
| ) |  |

Get SOP Instance UID of Concatenation Source.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setConcatenationFrameOffsetNumber()

virtual OFCondition IODMultiFrameFGModule::ConcatenationInfo::setConcatenationFrameOffsetNumber | ( | const Uint32 | value | ) |
| virtual

Set Concatenation Frame Offset Number.

Parameters

  value | Value to be stored

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setConcatenationUID()

virtual OFCondition IODMultiFrameFGModule::ConcatenationInfo::setConcatenationUID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Concatenation UID.

Parameters

  value | Value to be stored
  checkValue | If OFTrue, the value is checked for conformance (VR = UID and VM = 1).

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setInConcatenationNumber()

virtual OFCondition IODMultiFrameFGModule::ConcatenationInfo::setInConcatenationNumber | ( | const Uint16 | value | ) |
| virtual

Set In-concatenation Number.

Parameters

  value | Value to be stored

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setInConcatenationTotalNumber()

virtual OFCondition IODMultiFrameFGModule::ConcatenationInfo::setInConcatenationTotalNumber | ( | const Uint16 | value | ) |
| virtual

Set In-concatenation Total Number.

Parameters

  value | Value to be stored

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSOPInstanceUIDOfConcatenationSource()

virtual OFCondition IODMultiFrameFGModule::ConcatenationInfo::setSOPInstanceUIDOfConcatenationSource | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set SOP Instance UID of Concatenation Source.

Parameters

  value | Value to be stored
  checkValue | If OFTrue, the value is checked for conformance (VR = UID and VM = 1).

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modmultiframefg.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1